Bug 74278 - Bad default name for new folder under zh_CN locale
Bad default name for new folder under zh_CN locale
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-09-19 09:46 EDT by Xu Hao Qing
Modified: 2015-01-07 19:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-20 20:05:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Xu Hao Qing 2002-09-19 09:46:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
Defult name for new folder can not be read in gnome-terminal, under zh_CN locale

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Choose Simplified Chinese locale, login.
2.Open a nautilus window
3.Right click on the window, select "Create new folder"(translated from Chinese
string), accept the default name, which is "unamed folder"(translated from Chinese)
4.Open a terminal window, cd to the directory where that new folder sits and do
an "ls"

Actual Results:  You'll see the new foler's name is unreadable-- it's some
question marks plus some wrong chinese characters.

Expected Results:  The folder's name should be identical in nautilus and in

Additional info:

Don't know whether it's a nautilus bug or a gnome-terminal bug
Comment 1 Havoc Pennington 2002-10-01 14:29:39 EDT
Basically the problem is UTF-8 vs. locale encoding confusion. I'm not sure 
how to fix this really...
Comment 2 Xu Hao Qing 2002-10-05 12:55:19 EDT
In 8.0 final, things go even worse -- the default new folder's name is not
readable in both nautilus and gnome-terminal -- but they are identical this time
Comment 3 Alexander Larsson 2003-01-16 11:52:06 EST
Was G_BROKEN_FILENAME set in the environment? If so this is a bug that's fixed
in cvs. (And in fact a dup of bug 70688)
Comment 4 Leon Ho 2003-01-20 20:05:31 EST
Works okay in rawhide 

Note You need to log in before you can comment on or make changes to this bug.